> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 作品详情

> 接口说明：查询指定平台作品详情。调用前请以「平台列表」的 `capabilities.work.getDetail` 为准；不支持时返回 `code: 15080`，`data` 仅包含 `platform` 与 `capability`。



## OpenAPI

````yaml /openapi/zh/aitoearn.openapi.json get /api/v2/channels/works/{platform}/{platformWorkId}
openapi: 3.0.1
info:
  title: AiToEarn 开放平台 API
  description: AiToEarn 开放平台 API，支持在中国站与国际站之间切换调试。业务是否成功以响应体 code === 0 为准。
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: 中国站
  - url: https://aitoearn.ai
    description: 国际站
security: []
tags:
  - name: AI 服务
  - name: AI 服务/视频生成
  - name: AI 服务/图像生成
  - name: 渠道管理
  - name: 渠道管理/账号
  - name: 渠道管理/内容发布
  - name: 渠道管理/平台
  - name: 渠道管理/作品
  - name: 渠道管理/账号分组
  - name: 渠道管理/授权
  - name: 资源管理
  - name: AI 服务/大语言模型
  - name: AI 服务/真人素材
  - name: AI 服务/Agent
paths:
  /api/v2/channels/works/{platform}/{platformWorkId}:
    get:
      tags:
        - 渠道管理/作品
      summary: 作品详情
      description: >-
        接口说明：查询指定平台作品详情。调用前请以「平台列表」的 `capabilities.work.getDetail` 为准；不支持时返回
        `code: 15080`，`data` 仅包含 `platform` 与 `capability`。
      operationId: WorksController_getDetail_v2
      parameters:
        - name: platform
          in: path
          description: 平台标识
          required: true
          example: KWAI
          schema:
            type: string
            example: KWAI
            default: KWAI
        - name: platformWorkId
          in: path
          description: 平台作品 ID
          required: true
          example: 3xqv95gh4s3pi44
          schema:
            type: string
            example: 3xqv95gh4s3pi44
        - name: accountId
          in: query
          description: 账号 ID
          required: false
          schema:
            description: 账号 ID
            type: string
            minLength: 1
      responses:
        '200':
          description: 请求已被服务处理。业务是否成功以响应体 code === 0 为准。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      platform:
                        type: string
                      work:
                        type: object
                        properties:
                          id:
                            type: string
                          url:
                            type: string
                          title:
                            type: string
                          description:
                            type: string
                          mediaType:
                            type: string
                          coverUrl:
                            type: string
                          publishedAt:
                            type: string
                          status:
                            type: string
                        additionalProperties: false
                      snapshots:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            platformWorkId:
                              type: string
                            snapshotAt:
                              type: string
                            fetchedAt:
                              type: string
                            work:
                              type: object
                              properties:
                                id:
                                  type: string
                                url:
                                  type: string
                                title:
                                  type: string
                                description:
                                  type: string
                                mediaType:
                                  type: string
                                coverUrl:
                                  type: string
                                publishedAt:
                                  type: string
                                status:
                                  type: string
                              additionalProperties: false
                            metrics:
                              type: object
                              properties:
                                viewCount:
                                  type: number
                                likeCount:
                                  type: number
                                commentCount:
                                  type: number
                              additionalProperties: false
                            extra:
                              type: object
                              properties:
                                pending:
                                  type: boolean
                              additionalProperties: false
                          additionalProperties: false
                      extra:
                        type: object
                        properties:
                          pending:
                            type: boolean
                        additionalProperties: false
                      snapshotId:
                        type: string
                      fetchedAt:
                        type: string
                    additionalProperties: false
                  code:
                    type: integer
                    description: 业务状态码。0 表示成功，非 0 表示业务错误。
                  message:
                    type: string
                    description: 响应消息。
                  requestId:
                    type: string
                    description: 请求 ID。
                  timestamp:
                    type: integer
                    description: 错误响应时间戳，Unix 毫秒。
              examples:
                success:
                  summary: 成功
                  value:
                    code: 0
                    message: 请求成功
                    data:
                      platform: KWAI
                      work:
                        id: string
                        url: string
                        title: string
                        description: string
                        mediaType: string
                        coverUrl: string
                        publishedAt: string
                        status: string
                      snapshots:
                        - id: string
                          platformWorkId: string
                          snapshotAt: string
                          fetchedAt: string
                          work:
                            id: string
                            url: string
                            title: string
                            description: string
                            mediaType: string
                            coverUrl: string
                            publishedAt: string
                            status: string
                          metrics:
                            viewCount: number
                            likeCount: number
                            commentCount: number
                          extra:
                            pending: boolean
                      extra:
                        pending: boolean
                      snapshotId: string
                      fetchedAt: string
                    requestId: string
                unsupported:
                  summary: 平台能力不支持（15080）
                  value:
                    code: 15080
                    message: string
                    data:
                      platform: string
                      capability: string
                    timestamp: number
                    requestId: string
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: 需要从 AiToEarn 获取 API Key。点击前往[「API Key 获取教程」](/zh/use/api-key)。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.